---
###############################################################################
# Controller node configuration.

# User with which to access the controllers via SSH during bootstrap, in order
# to setup the Kayobe user account.
controller_bootstrap_user: cloud-user

###############################################################################
# Network interface attachments.

# List of networks to which controller nodes are attached.
controller_network_interfaces: >
  {{ [admin_oc_net_name,
      "bond0_net",
      "br_net",
      oob_wl_net_name,
      user_oob_wl_net_name,
      public_net_name,
      tunnel_net_name,
      internal_net_name,
      cleaning_net_name,
      inspection_net_name,
      octavia_net_name,
      provision_wl_net_name,
      storage_net_name] | unique | list }}

# List of default networks to which controller nodes are attached.
#controller_default_network_interfaces:

# List of extra networks to which controller nodes are attached.
#controller_extra_network_interfaces:

# List of network interfaces to which network nodes are attached.
#controller_network_host_network_interfaces:

###############################################################################
# Controller node BIOS configuration.

# Dict of controller BIOS options. Format is same as that used by stackhpc.drac
# role.
#controller_bios_config:

# Dict of default controller BIOS options. Format is same as that used by
# stackhpc.drac role.
#controller_bios_config_default:

# Dict of additional controller BIOS options. Format is same as that used by
# stackhpc.drac role.
#controller_bios_config_extra:

###############################################################################
# Controller node RAID configuration.

# List of controller RAID volumes. Format is same as that used by stackhpc.drac
# role.
#controller_raid_config:

# List of default controller RAID volumes. Format is same as that used by
# stackhpc.drac role.
#controller_raid_config_default:

# List of additional controller RAID volumes. Format is same as that used by
# stackhpc.drac role.
#controller_raid_config_extra:

###############################################################################
# Controller node software RAID configuration.

# List of software RAID arrays. See mrlesmithjr.mdadm role for format.
#controller_mdadm_arrays:

###############################################################################
# Controller node LVM configuration.

# List of controller volume groups. See mrlesmithjr.manage-lvm role for
# format.
controller_lvm_groups:
  - vgname: docker-volumes
    disks:
      - /dev/sdb
    create: true
    lvnames:
      - lvname: docker-volumes-0
        size: "100%FREE"
        create: true
        mount: true
        filesystem: ext4
        mntp: /var/lib/docker

# Default list of controller volume groups. See mrlesmithjr.manage-lvm role for
# format.
#controller_lvm_groups_default:

# Additional list of controller volume groups. See mrlesmithjr.manage-lvm role
# for format.
#controller_lvm_groups_extra:

# Controller LVM volume group for data. See mrlesmithjr.manage-lvm role for
# format.
#controller_lvm_group_data:

# List of disks for use by controller LVM data volume group. Default to an
# invalid value to require configuration.
#controller_lvm_group_data_disks:

# List of LVM logical volumes for the data volume group.
#controller_lvm_group_data_lvs:

# Docker volumes LVM backing volume.
#controller_lvm_group_data_lv_docker_volumes:

# Size of docker volumes LVM backing volume.
#controller_lvm_group_data_lv_docker_volumes_size:

# Filesystem for docker volumes LVM backing volume. ext4 allows for shrinking.
#controller_lvm_group_data_lv_docker_volumes_fs:

###############################################################################
# Controller node Ceph configuration.

# List of Ceph disks.
# The format is a list of dict like :
# - { osd: "/dev/sdb", journal: "/dev/sdc" }
# - { osd: "/dev/sdd" }
# Journal variable is not mandatory.
#controller_ceph_disks:

###############################################################################
# Controller node sysctl configuration.

# Dict of sysctl parameters to set.
#controller_sysctl_parameters:

###############################################################################
# Controller node user configuration.

# List of users to create. This should be in a format accepted by the
# singleplatform-eng.users role.
#controller_users:

###############################################################################
# Dummy variable to allow Ansible to accept this file.
workaround_ansible_issue_8743: yes
